#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
Mock for the Feide Dataporten API.
"""
from flask import current_app

class MockDataportenApi(object):
    def __init__(self, user, app=None):
        self.user = user
        if app is not None:
            self.init_app(app)

    def init_app(self, app):
        pass

    @property
    def mock_user(self):
        data = current_app.config['FEIDE_MOCK_DATA']
        return data.get('users', {}).get(self.user.user_id)

    def get_user_info(self):
        return self.mock_user.get('dp_user_info')

    def get_extended_user_info(self):
        return self.mock_user.get('feide_user_info')

    def get_user_photo(self):
        return ''